KB4093226-memperbaiki: kesalahan "DirectQuery mungkin tidak digunakan dengan sumber data ini" saat Anda menelusuri model kueri langsung di SQL Server

Gejala

Pertimbangkan skenario berikut:

  • Anda menggunakan database Microsoft SQL Server 2017 sebagai sumber data untuk model kueri langsung tabular di SQL Server Analysis Service 2016.

  • Database SQL target berada dalam tingkat kompatibilitas yang lebih lama, seperti tingkat sql server 2016.

Dalam skenario ini saat Anda menelusuri model kueri langsung, Anda menerima pesan kesalahan berikut:

Kesalahan DirectQuery: DirectQuery mungkin tidak digunakan dengan sumber data ini – silakan mempertimbangkan memindahkan ke sumber data yang didukung atau memutakhirkan sumber data SQL Server ke versi terbaru yang tersedia.

 

Pemecahan Masalah

Perbaikan ini disertakan dalam pembaruan kumulatif berikut ini untuk SQL Server:

Pembaruan kumulatif 7 untuk SQL Server 2017

Pembaruan kumulatif 8 untuk SQL Server 2016 Paket Layanan 1

Tentang Build SQL Server

Setiap Build baru untuk SQL Server 2016 berisi semua perbaikan hotfix dan pembaruan keamanan yang ada di Build sebelumnya. Kami menyarankan agar Anda menginstal pembaruan kumulatif terbaru untuk SQL Server:

Build terbaru untuk SQL Server 2017

Build terbaru untuk SQL Server 2016

Status

Microsoft telah mengonfirmasi bahwa ini adalah masalah pada produk Microsoft yang tercantum di bagian "Berlaku untuk".

Referensi

Pelajari tentang terminologi yang digunakan oleh Microsoft untuk menjelaskan pembaruan perangkat lunak.

Perlu bantuan lainnya?

Kembangkan keterampilan Anda
Jelajahi pelatihan
Dapatkan fitur baru terlebih dahulu
Gabung Microsoft Insider

Apakah informasi ini bermanfaat?

Terima kasih atas umpan balik Anda!

Terima kasih atas umpan balik Anda! Sepertinya menghubungkan Anda ke salah satu agen dukungan Office kami akan sangat membantu.

×